com.aliyun.svideosdk.editor.resource

## Enum AliyunResModuleType

- java.lang.Object
- - java.lang.Enum<AliyunResModuleType>
  - - com.aliyun.svideosdk.editor.resource.AliyunResModuleType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AliyunResModuleType>

      public enum AliyunResModuleType
      extends java.lang.Enum<AliyunResModuleType>

  加载出错资源模块类型 v3.23.0 新增

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ANIMATION_FILTER` 动态滤镜
    `BUBBLE_FONT` 气泡字幕字体
    `BUBBLE_STICKER` 气泡
    `CAPTION` 花字
    `CAPTION_EFFECT` 花字效果资源
    `CAPTION_FONT` 花字字体
    `COVER` 封面
    `DUBS_AUDIO` 配音
    `FILTER` 滤镜
    `GIF_STICKER` 动态贴纸
    `IMAGE_STICKER` 静态贴纸
    `LUT_FILTER` lut滤镜
    `MAIN_VIDEO` 主轨道视频(包含多帧gif图片)
    `MUSIC_AUDIO` 普通音频
    `MV` mv
    `PAINT` 画布
    `ROLLCAPTION_FONT` 普通字幕字体
    `SUBTITLE_FONT` 普通字幕字体
    `TAIL_WATERMARK` 尾部水印
    `TRANSITION` 转场动画
    `WATERMARK` 水印

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AliyunResModuleType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AliyunResModuleType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### COVER

          public static final AliyunResModuleType COVER

      封面

    - #### MAIN_VIDEO

          public static final AliyunResModuleType MAIN_VIDEO

      主轨道视频(包含多帧gif图片)

    - #### MUSIC_AUDIO

          public static final AliyunResModuleType MUSIC_AUDIO

      普通音频

    - #### DUBS_AUDIO

          public static final AliyunResModuleType DUBS_AUDIO

      配音

    - #### SUBTITLE_FONT

          public static final AliyunResModuleType SUBTITLE_FONT

      普通字幕字体

    - #### ROLLCAPTION_FONT

          public static final AliyunResModuleType ROLLCAPTION_FONT

      普通字幕字体

    - #### CAPTION

          public static final AliyunResModuleType CAPTION

      花字

    - #### CAPTION_FONT

          public static final AliyunResModuleType CAPTION_FONT

      花字字体

    - #### CAPTION_EFFECT

          public static final AliyunResModuleType CAPTION_EFFECT

      花字效果资源

    - #### BUBBLE_STICKER

          public static final AliyunResModuleType BUBBLE_STICKER

      气泡

    - #### BUBBLE_FONT

          public static final AliyunResModuleType BUBBLE_FONT

      气泡字幕字体

    - #### GIF_STICKER

          public static final AliyunResModuleType GIF_STICKER

      动态贴纸

    - #### IMAGE_STICKER

          public static final AliyunResModuleType IMAGE_STICKER

      静态贴纸

    - #### MV

          public static final AliyunResModuleType MV

      mv

    - #### FILTER

          public static final AliyunResModuleType FILTER

      滤镜

    - #### ANIMATION_FILTER

          public static final AliyunResModuleType ANIMATION_FILTER

      动态滤镜

    - #### TRANSITION

          public static final AliyunResModuleType TRANSITION

      转场动画

    - #### PAINT

          public static final AliyunResModuleType PAINT

      画布

    - #### WATERMARK

          public static final AliyunResModuleType WATERMARK

      水印

    - #### TAIL_WATERMARK

          public static final AliyunResModuleType TAIL_WATERMARK

      尾部水印

    - #### LUT_FILTER

          public static final AliyunResModuleType LUT_FILTER

      lut滤镜

  - ### Method Detail

    - #### values

          public static AliyunResModuleType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AliyunResModuleType c : AliyunResModuleType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AliyunResModuleType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null